pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT > Class Template Reference
Module outofcore

Abstract octree iterator class. More...

`#include <pcl/outofcore/outofcore_iterator_base.h>`

Inheritance diagram for pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >:

## Public Types

typedef pcl::outofcore::OutofcoreOctreeBase< ContainerT, PointT > | OctreeDisk
typedef pcl::outofcore::OutofcoreOctreeBaseNode< ContainerT, PointT > | OctreeDiskNode
typedef pcl::outofcore::OutofcoreOctreeBase< ContainerT, PointT >::BranchNode | BranchNode
typedef pcl::outofcore::OutofcoreOctreeBase< ContainerT, PointT >::LeafNode | LeafNode
typedef OctreeDisk::OutofcoreNodeType | OutofcoreNodeType

## Public Member Functions

| OutofcoreIteratorBase (OctreeDisk &octree_arg)
virtual | ~OutofcoreIteratorBase ()
| OutofcoreIteratorBase (const OutofcoreIteratorBase &src)
OutofcoreIteratorBase & | operator= (const OutofcoreIteratorBase &src)
OutofcoreNodeType * | operator* () const
virtual OutofcoreNodeType * | getCurrentOctreeNode () const
virtual void | reset ()
void | setMaxDepth (unsigned int max_depth)

## Protected Attributes

OctreeDisk & | octree_
OctreeDiskNode * | currentNode_
unsigned int | currentOctreeDepth_
unsigned int | max_depth_

## Detailed Description

### template<typename PointT, typename ContainerT>
class pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >

Abstract octree iterator class.

Note
  This class is based on the octree_iterator written by Julius Kammerl adapted to the outofcore octree. The interface is very similar, but it does not inherit the pcl::octree iterator base.

Author
  Stephen Fox (foxst.nosp@m.ephe.nosp@m.nd@gm.nosp@m.ail..nosp@m.com)

Definition at line 60 of file outofcore_iterator_base.h.

## Member Typedef Documentation

template<typename PointT , typename ContainerT >

typedef pcl::outofcore::OutofcoreOctreeBase<ContainerT, PointT>::BranchNode pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::BranchNode

Definition at line 70 of file outofcore_iterator_base.h.

template<typename PointT , typename ContainerT >

typedef pcl::outofcore::OutofcoreOctreeBase<ContainerT, PointT>::LeafNode pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::LeafNode

Definition at line 71 of file outofcore_iterator_base.h.

template<typename PointT , typename ContainerT >

typedef pcl::outofcore::OutofcoreOctreeBase<ContainerT, PointT> pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::OctreeDisk

Definition at line 67 of file outofcore_iterator_base.h.

template<typename PointT , typename ContainerT >

typedef pcl::outofcore::OutofcoreOctreeBaseNode<ContainerT, PointT> pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::OctreeDiskNode

Definition at line 68 of file outofcore_iterator_base.h.

template<typename PointT , typename ContainerT >

typedef OctreeDisk::OutofcoreNodeType pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::OutofcoreNodeType

Definition at line 73 of file outofcore_iterator_base.h.

## Constructor & Destructor Documentation

template<typename PointT , typename ContainerT >

pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::OutofcoreIteratorBase | ( | OctreeDisk & | octree_arg | ) |

inline explicit

Definition at line 76 of file outofcore_iterator_base.h.

References pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::reset().

template<typename PointT , typename ContainerT >

virtual pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::~OutofcoreIteratorBase | ( |  | ) |

inline virtual

Definition at line 83 of file outofcore_iterator_base.h.

template<typename PointT , typename ContainerT >

pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::OutofcoreIteratorBase | ( | const OutofcoreIteratorBase< PointT, ContainerT > & | src | ) |

inline

Definition at line 87 of file outofcore_iterator_base.h.

## Member Function Documentation

template<typename PointT , typename ContainerT >

virtual OutofcoreNodeType* pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::getCurrentOctreeNode | ( |  | ) | const

inline virtual

Definition at line 108 of file outofcore_iterator_base.h.

References pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::currentNode_.

Referenced by pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::operator*().

template<typename PointT , typename ContainerT >

OutofcoreNodeType* pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::operator* | ( |  | ) | const

inline

Definition at line 102 of file outofcore_iterator_base.h.

References pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::getCurrentOctreeNode().

template<typename PointT , typename ContainerT >

OutofcoreIteratorBase& pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::operator= | ( | const OutofcoreIteratorBase< PointT, ContainerT > & | src | ) |

inline

Definition at line 93 of file outofcore_iterator_base.h.

References pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::currentNode_, pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::currentOctreeDepth_, and pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::octree_.

Referenced by pcl::outofcore::OutofcoreOctreeBase< ContainerT, pcl::PointXYZRGB >::setSamplePercent().

template<typename PointT , typename ContainerT >

virtual void pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::reset | ( |  | ) |

inline virtual

Reimplemented in pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >.

Definition at line 114 of file outofcore_iterator_base.h.

References pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::currentNode_, pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::currentOctreeDepth_, pcl::outofcore::OutofcoreOctreeBase< ContainerT, PointT >::getDepth(), pcl::outofcore::OutofcoreOctreeBase< ContainerT, PointT >::getRootNode(), pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::max_depth_, and pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::octree_.

Referenced by pcl::outofcore::OutofcoreDepthFirstIterator< PointT, ContainerT >::OutofcoreDepthFirstIterator(), pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::OutofcoreIteratorBase(), and pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::reset().

template<typename PointT , typename ContainerT >

void pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::setMaxDepth | ( | unsigned int | max_depth | ) |

inline

Definition at line 122 of file outofcore_iterator_base.h.

References pcl::outofcore::OutofcoreOctreeBase< ContainerT, PointT >::getDepth(), pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::max_depth_, and pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::octree_.

## Member Data Documentation

template<typename PointT , typename ContainerT >

OctreeDiskNode* pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::currentNode_

protected

Definition at line 134 of file outofcore_iterator_base.h.

Referenced by pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::getCurrentOctreeNode(), pcl::outofcore::OutofcoreDepthFirstIterator< PointT, ContainerT >::operator++(), pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::operator++(), pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::operator=(), pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::reset(), and pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::reset().

template<typename PointT , typename ContainerT >

unsigned int pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::currentOctreeDepth_

protected

Definition at line 135 of file outofcore_iterator_base.h.

Referenced by pcl::outofcore::OutofcoreDepthFirstIterator< PointT, ContainerT >::operator++(), pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::operator=(), and pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::reset().

template<typename PointT , typename ContainerT >

unsigned int pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::max_depth_

protected

Definition at line 136 of file outofcore_iterator_base.h.

Referenced by pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::operator++(), pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::reset(), and pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::setMaxDepth().

template<typename PointT , typename ContainerT >

OctreeDisk& pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::octree_

protected

Definition at line 133 of file outofcore_iterator_base.h.

Referenced by pcl::outofcore::OutofcoreDepthFirstIterator< PointT, ContainerT >::operator++(), pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::operator++(), pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::operator=(), pcl::outofcore::OutofcoreDepthFirstIterator< PointT, ContainerT >::OutofcoreDepthFirstIterator(), pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::reset(), and pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::setMaxDepth().

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/outofcore/include/pcl/outofcore/outofcore_iterator_base.h